import request from '@/utils/request'

// 查询吉林地区管理列表
export function listJlDept(query) {
  return request({
    url: '/system/jlDept/list',
    method: 'get',
    params: query
  })
}

// 查询吉林地区管理详细
export function getJlDept(id) {
  return request({
    url: '/system/jlDept/' + id,
    method: 'get'
  })
}

// 同步地区到部门
export function syncJlDept() {
  return request({
    url: '/system/jlDept/syncToDept',
    method: 'get'
  })
}

// 新增吉林地区管理
export function addJlDept(data) {
  return request({
    url: '/system/jlDept',
    method: 'post',
    data: data
  })
}

// 修改吉林地区管理
export function updateJlDept(data) {
  return request({
    url: '/system/jlDept',
    method: 'put',
    data: data
  })
}

// 删除吉林地区管理
export function delJlDept(id) {
  return request({
    url: '/system/jlDept/' + id,
    method: 'delete'
  })
}
